> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.gitiho.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.gitiho.com/_mcp/server.

# Department detail

GET https://example.gitiho.com/api/department/258/detail

Lấy thông tin chi tiết của một phòng ban cụ thể, bao gồm tổng số thành viên (tính cả các phòng ban con).

**Params:**

| **Param** | **Bắt buộc** | **Default** | **Mô tả** |
| --- | --- | --- | --- |
| id | Có |  | ID của phòng ban muốn lấy thông tin |

**Response: Xem response example**

Reference: https://developer.gitiho.com/gitiho-business-api/admin/department-quản-ly-phong-ban/department-detail

## Response

### 200

OK

- `data` (DepartmentDetailDepartmentQuảnLyPhongBanResponseData, required)
- `status` (string, required)

## Types

### DepartmentDetailDepartmentQuảnLyPhongBanResponseData

- `id` (integer, required)
- `name` (string, required)
- `owner_id` (integer, required)
- `parent_id` (integer, required)
- `created_at` (string, required)
- `updated_at` (string, required)
- `employer_count` (integer, required)
- `description` (any, optional, nullable)

## Examples

**Response**

```json
{
  "data": {
    "id": 3,
    "name": "IT",
    "owner_id": 38302,
    "parent_id": 825,
    "created_at": "2021-09-29 13:49:55",
    "updated_at": "2025-09-11 16:21:09",
    "employer_count": 2
  },
  "status": "success"
}
```

**SDK Code**

```python
import requests

url = "https://example.gitiho.com/api/department/258/detail"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.gitiho.com/api/department/258/detail';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.gitiho.com/api/department/258/detail"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.gitiho.com/api/department/258/detail")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.gitiho.com/api/department/258/detail")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.gitiho.com/api/department/258/detail');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.gitiho.com/api/department/258/detail");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.gitiho.com/api/department/258/detail")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```